SDL_Haptic Struct Reference

`#include <SDL_syshaptic.h>`

Collaboration diagram for SDL_Haptic:
[legend]

## Data Fields

Uint8 | index
struct haptic_effect * | effects
int | neffects
int | nplaying
unsigned int | supported
int | naxes
struct haptic_hwdata * | hwdata
int | ref_count
int | rumble_id
SDL_HapticEffect | rumble_effect
struct _SDL_Haptic * | next

## Detailed Description

Definition at line 39 of file SDL_syshaptic.h.

## Field Documentation

## effects

struct haptic_effect* SDL_Haptic::effects

Definition at line 43 of file SDL_syshaptic.h.

## hwdata

struct haptic_hwdata* SDL_Haptic::hwdata

Definition at line 49 of file SDL_syshaptic.h.

## index

Uint8 SDL_Haptic::index

Definition at line 41 of file SDL_syshaptic.h.

## naxes

int SDL_Haptic::naxes

Definition at line 47 of file SDL_syshaptic.h.

## neffects

int SDL_Haptic::neffects

Definition at line 44 of file SDL_syshaptic.h.

## next

struct _SDL_Haptic* SDL_Haptic::next

Definition at line 54 of file SDL_syshaptic.h.

## nplaying

int SDL_Haptic::nplaying

Definition at line 45 of file SDL_syshaptic.h.

## ref_count

int SDL_Haptic::ref_count

Definition at line 50 of file SDL_syshaptic.h.

## rumble_effect

SDL_HapticEffect SDL_Haptic::rumble_effect

Definition at line 53 of file SDL_syshaptic.h.

## rumble_id

int SDL_Haptic::rumble_id

Definition at line 52 of file SDL_syshaptic.h.

## supported

unsigned int SDL_Haptic::supported

Definition at line 46 of file SDL_syshaptic.h.

The documentation for this struct was generated from the following file:

- src/haptic/SDL_syshaptic.h